X2Go Bug report logs - #133
hostnames and FQDN mixup in session broker

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Sat, 2 Mar 2013 15:28:28 UTC

Severity: normal

Tags: pending

Found in version HEAD

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#133; Package x2gobroker. (Sat, 02 Mar 2013 15:28:28 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 02 Mar 2013 15:28:28 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: hostnames and FQDN mixup in session broker
Date: Sat, 02 Mar 2013 16:26:16 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Version: HEAD

We have to make sure that no confusion occurs if some hostnames are  
hostname-only and some are FQDNs.

Proposal:

  o if all subdomains of multi-node servers are equal -> normalize to
    hostname-only
  o if subdomains of multi-node servers differ -> try to detect subdomains
    for all hostnames being in use (not always possible)

The more pragmatic case will be the first.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#133; Package x2gobroker. (Wed, 06 Mar 2013 17:38:53 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 06 Mar 2013 17:38:53 GMT) (full text, mbox, link).


Message #10 received at 133@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 133@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: X2Go Broker: hostname vs. FQDN mixup fixed in X2Go Git
Date: Wed, 06 Mar 2013 18:35:48 +0100
[Message part 1 (text/plain, inline)]
tag #133 pending
thanks

Hi Anders,

The hostname vs. FQDN feature has been fixed by these two commits:

The main one:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=9557b67570875897d1f45f61f174461c45b1a7c6

A slight fix-up:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=09dff9341cb3dc697bce90864fe3e9c76f059269

Will be in 0.0.0.7.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 06 Mar 2013 17:38:54 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#133; Package x2gobroker. (Thu, 07 Mar 2013 06:20:09 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 07 Mar 2013 06:20:09 GMT) (full text, mbox, link).


Message #17 received at 133@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 132@bugs.x2go.org, 133@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Reported issues solved in X2Go Session Broker 0.0.0.7
Date: Thu, 07 Mar 2013 07:19:49 +0100
[Message part 1 (text/plain, inline)]
close #132
close #133
thanks

This reported issue has been fixed in X2Go Session Broker 0.0.0.7.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 07 Mar 2013 06:20:09 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Thu, 07 Mar 2013 06:20:10 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 05 Apr 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 15 07:43:16 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.